#docker-compose.yml
version:  '3'
services:
  # Node Server
  server:
    build:
      dockerfile: Dockerfile.dev
      context: ./server
    depends_on:
      - postgres
    volumes:
      - /app/node_modules
      - ./server:/app
    environment: 
      - REDIS_HOST=redis
      - REDIS_PORT=6379
      - PGUSER=postgres
      - PGHOST=postgres
      - PGDATABASE=postgres
      - PGPASSWORD=postgres
      - PGPORT=5432
  # Postgres Service
  postgres:
    image: postgres:11.2-alpine
    environment:
      POSTGRES_PASSWORD: postgres
  # Redis Service
  redis:
    image:  'redis:latest'
  client:
    build:
      dockerfile: Dockerfile.dev
      context: ./client
    volumes:
      - /app/node_modules
      - ./client:/app
  worker:
    build:
      dockerfile: Dockerfile.dev
      context: ./worker
    volumes:
      - /app/node_modules
      - ./worker:/app